gi-atk-2.0.28: Atk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Atk.Structs.TextRange

Contents

- Exported types
- Methods
- Properties
  - bounds
  - content
  - endOffset
  - startOffset

Description

A structure used to describe a text range.

Synopsis

- newtype TextRange = TextRange (ManagedPtr TextRange)
- newZeroTextRange :: MonadIO m => m TextRange
- getTextRangeBounds :: MonadIO m => TextRange -> m TextRectangle
- clearTextRangeContent :: MonadIO m => TextRange -> m ()
- getTextRangeContent :: MonadIO m => TextRange -> m (Maybe Text)
- setTextRangeContent :: MonadIO m => TextRange -> CString -> m ()
- getTextRangeEndOffset :: MonadIO m => TextRange -> m Int32
- setTextRangeEndOffset :: MonadIO m => TextRange -> Int32 -> m ()
- getTextRangeStartOffset :: MonadIO m => TextRange -> m Int32
- setTextRangeStartOffset :: MonadIO m => TextRange -> Int32 -> m ()

# Exported types

newtype TextRange Source #

Memory-managed wrapper type.

Constructors

TextRange (ManagedPtr TextRange) |

#### Instances

Instances details

Eq TextRange Source # |
Instance details Defined in GI.Atk.Structs.TextRange Methods (==) :: TextRange -> TextRange -> Bool Source # (/=) :: TextRange -> TextRange -> Bool Source #
GBoxed TextRange Source # |
Instance details Defined in GI.Atk.Structs.TextRange
ManagedPtrNewtype TextRange Source # |
Instance details Defined in GI.Atk.Structs.TextRange Methods toManagedPtr :: TextRange -> ManagedPtr TextRange Source #
TypedObject TextRange Source # |
Instance details Defined in GI.Atk.Structs.TextRange Methods glibType :: IO GType Source #
HasParentTypes TextRange Source # |
Instance details Defined in GI.Atk.Structs.TextRange
tag ~ 'AttrSet => Constructible TextRange tag Source # |
Instance details Defined in GI.Atk.Structs.TextRange Methods new :: MonadIO m => (ManagedPtr TextRange -> TextRange) -> [AttrOp TextRange tag] -> m TextRange Source #
IsGValue (Maybe TextRange) Source # | Convert `TextRange` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Atk.Structs.TextRange Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe TextRange -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe TextRange) Source #
type ParentTypes TextRange Source # |
Instance details Defined in GI.Atk.Structs.TextRange type ParentTypes TextRange = '[] :: [Type]

newZeroTextRange :: MonadIO m => m TextRange Source #

Construct a `TextRange` struct initialized to zero.

# Methods

# Properties

## bounds

A rectangle giving the bounds of the text range

getTextRangeBounds :: MonadIO m => TextRange -> m TextRectangle Source #

Get the value of the “`bounds`” field. When overloading is enabled, this is equivalent to

    get textRange #bounds

## content

The text in the text range

clearTextRangeContent :: MonadIO m => TextRange -> m () Source #

Set the value of the “`content`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #content

getTextRangeContent :: MonadIO m => TextRange -> m (Maybe Text) Source #

Get the value of the “`content`” field. When overloading is enabled, this is equivalent to

    get textRange #content

setTextRangeContent :: MonadIO m => TextRange -> CString -> m () Source #

Set the value of the “`content`” field. When overloading is enabled, this is equivalent to

    set textRange [ #content := value ]

## endOffset

The end offset of a AtkTextRange

getTextRangeEndOffset :: MonadIO m => TextRange -> m Int32 Source #

Get the value of the “`end_offset`” field. When overloading is enabled, this is equivalent to

    get textRange #endOffset

setTextRangeEndOffset :: MonadIO m => TextRange -> Int32 -> m () Source #

Set the value of the “`end_offset`” field. When overloading is enabled, this is equivalent to

    set textRange [ #endOffset := value ]

## startOffset

The start offset of a AtkTextRange

getTextRangeStartOffset :: MonadIO m => TextRange -> m Int32 Source #

Get the value of the “`start_offset`” field. When overloading is enabled, this is equivalent to

    get textRange #startOffset

setTextRangeStartOffset :: MonadIO m => TextRange -> Int32 -> m () Source #

Set the value of the “`start_offset`” field. When overloading is enabled, this is equivalent to

    set textRange [ #startOffset := value ]